org.jgroups.protocols

## Class PEER_LOCK.PeerLock

- java.lang.Object
- - org.jgroups.protocols.Locking.ClientLock
  - - org.jgroups.protocols.PEER_LOCK.PeerLock

All Implemented Interfaces:
  java.util.concurrent.locks.Lock

Enclosing class:
  PEER_LOCK

    protected class PEER_LOCK.PeerLock
    extends Locking.ClientLock

Lock implementation which grants a lock when all non faulty cluster members OK it.

### Field Summary

Fields
`protected java.util.List<Address>` `grants`

### Fields inherited from class org.jgroups.protocols.Locking.ClientLock

`acquired, condition, denied, is_trylock, name, owner, timeout`

### Constructor Summary

Constructors
Constructor and Description
`PEER_LOCK.PeerLock(java.lang.String name)`

### Method Summary

Methods
`protected void` `handleLockGrantedResponse(Owner owner, Address sender)`
`protected void` `retainAll(java.util.List<Address> members)`

### Methods inherited from class org.jgroups.protocols.Locking.ClientLock

`_unlock, acquire, acquireTryLock, lock, lockDenied, lockGranted, lockInterruptibly, newCondition, toString, tryLock, tryLock, unlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### grants

    protected final java.util.List<Address> grants

### Constructor Detail

#### PEER_LOCK.PeerLock

    public PEER_LOCK.PeerLock(java.lang.String name)

### Method Detail

#### retainAll

    protected void retainAll(java.util.List<Address> members)

#### handleLockGrantedResponse

    protected void handleLockGrantedResponse(Owner owner,
                                 Address sender)

Overrides:
  `handleLockGrantedResponse` in class `Locking.ClientLock`